<style>

    #texto{overflow-y: scroll; max-height:600px;padding: 24px 11px 13px 14px;}

</style>

<div class="col-md-9 col-xs-12">

    <div class="row">

        <div class="col-md-12 col-xs-12">

            <?php
            foreach ($curso as $c)
                ;

            foreach ($aulas as $au)
                ;
            ?>  



            <ol class="breadcrumb">

                <li><a href="<?= base_url('aluno') ?>">Home</a></li>

                <li><a href="<?= base_url('aluno/curso/cursos_matriculados') ?>">Cursos</a></li>

                <li><a href="<?= base_url('aluno/curso/ver') ?>/<?= codifica($certificado[0]->usuarios_cursos_matriculados_id) . '/' . codifica($c->cedoc_doc_id_fk) ?>"><?= $c->nome ?></a></li>

            </ol>



            <p>Progresso do curso:

            <div class="progress">

                <div class="progress-bar <?php
            if (round($porcentagem) <= 40) {

                echo "progress-bar-danger progress-bar-striped active";
            } else if (round($porcentagem) <= 70) {

                echo "progress-bar-warning progress-bar-striped active";
            } else if (round($porcentagem) <= 99) {

                echo "progress-bar-info progress-bar-striped active";
            } else {

                echo "progress-bar-success progress-bar-striped active";
            }
            ?>" role="progressbar" aria-valuenow="<?= $porcentagem ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?= $porcentagem ?>%;">

                <?php
                if (round($porcentagem) == 0) {

                    echo '<span style="color: #5CB85C; margin: auto auto; float: left;">0%</span>';
                } else if ($porcentagem == 100) {

                    echo '<span style="color: #fff; font-weight: bold;">Completo</span>';
                } else {

                    echo '<span style="color: #fff;">' . round($porcentagem) . '%</span>';
                }
                ?>

                </div>

            </div>   

            </p>  



            <div class="row">

                <div class="col-xs-12 col-md-12">



<?php
if ($porcentagem == "100") {

    $ch = $certificado[0]->UCMCargaHorariaCertificado;



    $datatermino = date('Y-m-d', strtotime($certificado[0]->UCMData . "+" . round($ch / 8) . " days"));

    foreach ($certificado as $cert)
        ;



    if ($datatermino <= date('Y-m-d', strtotime(date("Y-m-d")))) {
        ?>





                            <?php if ((int) $certificado[0]->status === 1) { ?> 



                                <p><b>Certificado:</b></p> 
                                <?php
                                if($fatura_paga){
                                    $url = base_url().'aluno/curso/certificado_web/'.codifica($certificado[0]->usuarios_cursos_matriculados_id);
                                }else{
                                    $url = base_url().'aluno/curso/solicitar_certificado/'.codifica($certificado[0]->usuarios_cursos_matriculados_id);
                                }
                                ?>
                                
                                <a target="_blank" class="btn btn-default" href="<?=$url?>" title="Imprimir Certificado">

                                    <i class="glyphicon glyphicon-print"></i> Certificado Web

                                </a>



            <?php
            //verifica se aluno solicitou certificado impresso

            if (count($fatura_paga) === 0 && count($certificado_impresso) >= 1) {
                ?> 



                <?php if ($certificado_impresso[0]->pagamento == 0) { ?>

                                        <a target="_blank" class="btn btn-info" title="Aguardando pagamento">

                                            <i class="glyphicon glyphicon-credit-card"></i> Aguardando pagamento

                                        </a>

                                        <a target="_blank" class="btn btn-warning" href="<?php echo base_url(); ?>aluno/financeiro/solicitar_certificado/<?= $this->uri->segment(4) ?>" title="Alterar forma de pagamento/Gerar nova fatura">

                                            <i class="glyphicon glyphicon-glyphicon glyphicon-usd"></i> Alterar forma de pagamento

                                        </a>

                                    <?php } else if ($certificado_impresso[0]->pagamento == 1) { ?>

                                        <a target="_blank" class="btn btn-success" title="Aguardando Impressão">

                                            <i class="glyphicon glyphicon-print"></i> Aguardando Impressão

                                        </a>

                <?php } else if ($certificado_impresso[0]->pagamento == 1 && $certificado_impresso[0]->status == 1) { ?>

                                        <a target="_blank" class="btn btn-success" title="Enviado">

                                            <i class="glyphicon glyphicon-envelope"></i> Enviado

                                        </a>

                <?php } ?> 



                                    <hr>



                <?php
            } else if (count($fatura_paga) === 1) {

                if ($fatura_paga[0]->status == 1) {

                    echo '<a target="_blank" class="btn btn-success" title="Enviado">

										<i class="glyphicon glyphicon-envelope"></i> Enviado

									</a>';
                } else {

                    echo ' <a target="_blank" class="btn btn-success" title="Aguardando Impressão">

											<i class="glyphicon glyphicon-print"></i> Aguardando Impressão

										</a>';
                }
            } else {
                ?>

                                    <a target="_blank" class="btn btn-warning" href="<?php echo base_url(); ?>aluno/curso/solicitar_certificado/<?= $this->uri->segment(4) ?>" title="Imprimir Certificado">

                                        <i class="glyphicon glyphicon-envelope"></i> Solicitar Certificado Original

                                    </a>

                                    <hr>

                                    <?php
                                }//verifica se aluno solicitou certificado inpresso
                            } else {
                                ?>



                                <a class="btn btn-success" style="margin: auto auto;" href="<?php echo base_url(); ?>aluno/curso/concluir_curso/<?= codifica($certificado[0]->usuarios_cursos_matriculados_id); ?>/<?= $this->uri->segment(5) ?>" title="Concluir Curso">

                                    <i class="glyphicon glyphicon-ok"></i> Concluir curso

                                </a> 



                                <?php
                            }
                            ?> 

                            <br />

        <?php
    } else {

        $datatermino = strtotime($datatermino); // Gera o timestamp de $data_mysql

        $dt = date('d-m-Y', $datatermino);

        echo "<br /><b>Seu certificado será liberado em: <label class='label label-info'>" . $dt . "</span></b><br /><br />";
    }
}
?>









                    <button style="float: right;" class="label label-primary" type="button" data-toggle="collapse" data-target="#exemplo" aria-expanded="false" aria-controls="collapseExample">

                        Listar aulas

                    </button>



                    <br />



                    <div class="collapse" id="exemplo" style="background: #fff;">

                        <div class="well" style="background: #fff; border: none;">

                    <?php
                    echo '<nav style="clear: both; float: right;"><ul class="pagination pagination-sm">';





                    $i = 0;

                    foreach ($aulas as $a) {



                        if ($a->cursos_aulas_id == $this->uri->segment(4)) {

                            $disabled = 'class="disabled"';

                            $atual = $a->cursos_aulas_id;
                        } else {

                            $disabled = null;

                            $atual = null;
                        }

                        $ativo = '';

                        foreach ($aulas_realizadas as $ar) {

                            if ((int) $ar->cursos_aulas_id_fk == (int) $a->cursos_aulas_id) {

                                $ativo = 'ok';
                            }
                        }







                        if ($ativo) {

                            $i++;

                            echo '<li ' . $disabled . '><a href="' . base_url('aluno/curso/curso_aula') . '/' . $this->uri->segment(4) . '/' . $a->cursos_aulas_id . '" style="background: #9ACD34; color: #fff;">' . $a->CAOrdem . '. Aula</a></li>';
                        } else {

                            echo '<li ' . $disabled . '><a href="' . base_url('aluno/curso/curso_aula') . '/' . $this->uri->segment(4) . '/' . $a->cursos_aulas_id . '" >' . $a->CAOrdem . '. Aula</a></li>';
                        }
                    }

                    echo '</ul></nav>';
                    ?>  

                        </div>

                    </div>        



                    <br /><br /> 

                </div>

            </div>   





                            <?php
//recebe conteúdo da aula

                            foreach ($conteudo_aula as $ca)
                                ;
                            ?>





            <div>



                            <?php
                            echo '<ul class="nav nav-tabs" role="tablist">';



                            if ($ca->CADescricao !== null && strlen($ca->CADescricao) > 6) {

                                echo '<li role="presentation" class="active"><a href="#texto" aria-controls="texto" role="tab" data-toggle="tab" style="color:#449D44; font-weight:700;">Texto</a></li>';
                            } else {

                                echo '<li role="presentation" class="active"><a href="#texto" aria-controls="texto" role="tab" data-toggle="tab">Texto</a></li>';
                            }



                            if (count($exercicios_aula) > 0) {

                                echo '<li role="presentation"><a href="#exercicios" aria-controls="exercicios" role="tab" data-toggle="tab" style="color:#449D44; font-weight:700;">Exerc&iacute;cios</a></li>';
                            } else {

                                echo '<li role="presentation"><a href="#exercicios" aria-controls="exercicios" role="tab" data-toggle="tab">Exerc&iacute;cios</a></li>';
                            }



                            if (count($arquivos_aula) > 0) {

                                echo'<li role="presentation"><a href="#arquivos" aria-controls="arquivos" role="tab" data-toggle="tab" style="color:#449D44; font-weight:700;">Arquivos</a></li>';
                            } else {

                                echo'<li role="presentation"><a href="#arquivos" aria-controls="arquivos" role="tab" data-toggle="tab">Arquivos</a></li>';
                            }



                            if (count($imagens_aula) > 0) {

                                echo '<li role="presentation"><a href="#imagens" aria-controls="imagens" role="tab" data-toggle="tab" style="color:#449D44; font-weight:700;">Imagens</a></li>';
                            } else {

                                echo '<li role="presentation"><a href="#imagens" aria-controls="imagens" role="tab" data-toggle="tab">Imagens</a></li>';
                            }



                            if (count($videos_aula) > 0) {

                                echo'<li role="presentation"><a href="#videos" aria-controls="videos" role="tab" data-toggle="tab" style="color:#449D44; font-weight:700;">Videos</a></li>';
                            } else {

                                echo'<li role="presentation"><a href="#videos" aria-controls="videos" role="tab" data-toggle="tab">Videos</a></li>';
                            }



                            echo '</ul>';

                            echo '<!-- Tab panes -->

  <div class="tab-content">

  <div role="tabpanel" class="tab-pane active" id="texto">';



                            if ($ca->CADescricao !== null && strlen($ca->CADescricao) > 6) {

                                echo nl2br($ca->CADescricao);
                            } else {

                                echo '<pre>Nenhum conte&uacute;do de texto nesta aula.</pre>';
                            }

                            echo '</div>';

                            echo '<div role="tabpanel" class="tab-pane" id="exercicios"><br>';

                            if (count($exercicios_aula) > 0) {

                                echo '<a href="' . base_url('aluno/curso/exercicio_curso') . '/' . codifica($exercicios_aula[0]->cursos_aulas_id_fk) . '/' . $this->uri->segment(4) . '" class="btn btn-success"><i class="glyphicon glyphicon-pencil"></i> Exercício</a>';
                            } else {

                                echo '<pre>Nenhum exerc&iacute;cio para esta aula.</pre>';
                            }

                            echo '

    </div>

    <div role="tabpanel" class="tab-pane" id="arquivos">';

                            if (count($arquivos_aula) > 0) {

                                echo '<br><a href="' . base_url('uploads') . '/_files/' . $arquivos_aula[0]->CAACaminho . '" target="_blank" class="btn btn-success"><i class="glyphicon glyphicon-save"></i>' . $arquivos_aula[0]->CAATitulo . '</a>';
                            } else {

                                echo '<pre>Nenhum arquivo para esta aula.</pre>';
                            }

                            echo '

    </div>

    <div role="tabpanel" class="tab-pane" id="imagens">';

                            if (count($imagens_aula) > 0) {

                                echo '<br><br><a target="_blank" href="' . base_url('uploads') . '/' . $imagens_aula[0]->CAICaminho . '" class="btn btn-success"><i class="glyphicon glyphicon-picture"></i> ' . $imagens_aula[0]->CAITitulo . '</a>';
                            } else {

                                echo '<pre>Nenhuma imagem para esta aula.</pre>';
                            }

                            echo '</div>

    <div role="tabpanel" class="tab-pane" id="videos">';

                            if (count($videos_aula) > 0) {

                                echo '<br><br><a href="' . $videos_aula[0]->CAVCaminho . '" target="_blank" class="btn btn-success"><i class="glyphicon glyphicon-facetime-video"></i> ' . $videos_aula[0]->CAVTitulo . '</a>';
                            } else {

                                echo '<pre>Nenhum video para esta aula.</pre>';
                            }

                            echo '

    </div>

  </div>';
                            ?>

            </div>    





        </div>

    </div>



</div>

<hr>

<a href="#" style="float: right;">

    <i class="glyphicon glyphicon-upload"></i>

    Voltar

</a>&nbsp;&nbsp;

<button style="float: right;" class="label label-primary" type="button" data-toggle="collapse" data-target="#exemplo2" aria-expanded="false" aria-controls="collapseExample">

    Listar aulas

</button>

<br /><br />



<div class="collapse" id="exemplo2" style="background: #fff;">

    <div class="well" style="background: #fff; border: none;">

        <nav style="clear: both; float: right;">

            <ul class="pagination pagination-sm">

                <?php
                echo '<nav style="clear: both; float: right;"><ul class="pagination pagination-sm">';
                foreach ($aulas as $a) {
                    if ($a->cursos_aulas_id == $this->uri->segment(4)) {
                        $disabled = 'class="disabled"';
                        $atual = $a->cursos_aulas_id;
                    } else {
                        $disabled = null;
                        $atual = null;
                    }
                    $ativo = '';
                    foreach ($aulas_realizadas as $ar) {
                        if ((int) $ar->cursos_aulas_id_fk == (int) $a->cursos_aulas_id) {
                            $ativo = 'ok';
                        }
                    }
                    if ($ativo) {
                        echo '<li ' . $disabled . '><a href="' . base_url('aluno/curso/curso_aula') . '/' . $this->uri->segment(4) . '/' . $a->cursos_aulas_id . '" style="background: #9ACD34; color: #fff;">' . $a->CAOrdem . '. Aula</a></li>';
                    } else {
                        echo '<li ' . $disabled . '><a href="' . base_url('aluno/curso/curso_aula') . '/' . $this->uri->segment(4) . '/' . $a->cursos_aulas_id . '" >' . $a->CAOrdem . '. Aula</a></li>';
                    }
                }
                echo '</ul></nav>';
                ?>  
            </ul>
        </nav>
    </div>
</div> 

